List workspaces
curl --request GET \
--url https://data.otterly.ai/v1/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.otterly.ai/v1/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.otterly.ai/v1/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "01HX7K2YV9D3M8N0G6Q5R4S3T2",
"name": "Adidas Brand Tracking",
"promptsUsedCount": 142,
"promptsMaxCount": 500,
"geoAuditUsedCount": 7,
"geoAuditMaxCount": 25,
"createdDate": "2024-09-15T10:30:00.000Z",
"updatedDate": "2025-04-12T14:20:00.000Z"
}
],
"paging": {
"nextCursor": null,
"hasMore": false
}
}{
"message": "Validation failed",
"target": "query",
"errors": [
{
"path": "country",
"message": "Required",
"code": "invalid_type"
}
]
}{
"message": "Report not found"
}{
"message": "Report not found"
}Workspaces
List workspaces
GET
/
v1
/
workspaces
List workspaces
Authorizations
Provide your API key as a Bearer token: Authorization: Bearer YOUR_API_KEY.
Query Parameters
Optional. Pagination cursor — pass back the nextCursor value from a previous response. Omit to fetch the first page.
Minimum string length:
1⌘I